|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QRegion

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QRegion class reference

## Public Functions

QRegion | eor ( const QRegion & r ) const `(obsolete)`
QRegion | intersect ( const QRegion & r ) const `(obsolete)`
QRegion | intersect ( const QRect & rect ) const `(obsolete)`
QRegion | subtract ( const QRegion & r ) const `(obsolete)`
QRegion | unite ( const QRegion & r ) const `(obsolete)`
QRegion | unite ( const QRect & rect ) const `(obsolete)`

## Member Function Documentation

### QRegion QRegion::eor ( const QRegion & r ) const

Use xored(r) instead.

### QRegion QRegion::intersect ( const QRegion & r ) const

Use intersected(r) instead.

### QRegion QRegion::intersect ( const QRect & rect ) const

Use intersected(rect) instead.

This function was introduced in Qt 4.4.

### QRegion QRegion::subtract ( const QRegion & r ) const

Use subtracted(r) instead.

### QRegion QRegion::unite ( const QRegion & r ) const

Use united(r) instead.

### QRegion QRegion::unite ( const QRect & rect ) const

Use united(rect) instead.

This function was introduced in Qt 4.4.